Skip to main content
Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations
GETBare Metal Management OperationsSince 3.4.0SynchronousAuth Required

QueryPreconfigurationTemplate

QueryPreconfigurationTemplate

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories

    • uuidStringRequired

      The UUID of the preconfigured template.

    • nameStringRequired

      The name of the template.

    • descriptionStringRequired

      The detailed description of the preconfigured template.

    • distributionStringRequired

      The distribution of the operating system.

    • typeStringRequired

      The type of the template.

    • contentStringRequired

      The content of the template.

    • md5sumStringRequired

      The MD5 value of the template.

    • isPredefinedBooleanRequired

      Indicates whether the system of the template was predefined.

    • stateStringRequired

      The state of the template.

    • createDateTimestampRequired

      The time when the template was created.

    • lastOpDateTimestampRequired

      The time when the template was last modified.

Endpoint

GET/zstack/v1/baremetal/preconfigurations

/zstack/v1/baremetal/preconfigurations

Operation ID

QueryPreconfigurationTemplate

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/baremetal/preconfigurations' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "d55e08748c1d424dbcb7b311dbff56c6", "name": "centos_7_x86_64_mini_v1.cfg", "description": "centos-7-minimal kickstart file", "distribution": "centos-7-x86_64", "type": "kickstart", "content": "...", "md5sum": "7a5bf28bb4164419923a98a63a34680f", "isPredefined": false, "state": "Enabled", "createDate": "Feb 28, 2019 4:55:50 PM", "lastOpDate": "Feb 28, 2019 4:55:50 PM" } ] }

Change History

This API has no change history records yet.

View all change history